output pushnew installGbj.out
!=========================================================================
!  Copyright (C) GemTalk Systems 1986-2024.  All Rights Reserved.
! 
!  script to install all GBJ source files
!
!  File image/install.gs
!=========================================================================
input $GBJ/server/GbjLocalDateTime.gs
input $GBJ/server/GbjZonedDateTime.gs
input $GBJ/server/GbjUtilDate.gs
input $GBJ/server/GbjInstant.gs
input $GBJ/server/GbjGciInterface.gs
input $GBJ/server/GbjFileinReader.gs
input $GBJ/server/GbjToolsInterface.gs
input $GBJ/server/GbjSupport.gs
commit
run
| str f |
f := GsFile openReadOnServer: '$GBJ/version.txt' .
f ifNil:[Error signal: GsFile serverErrorString ].
str := 'Installed ', f contents .   f close .
System addAllToStoneLog: str .
true
%

run
"If this fails, check /etc/timezone, /etc/localTime,  TimeZone current for consistency"
GbjZonedDateTime checkEtcTimeZone
%
errorcount

output pop
