/*=========================================================================
 * Copyright (C) GemTalk Systems 1986-2024.  All Rights Reserved.
 *
 *      GbjClientAdapter.java  
 *
 *========================================================================
 */

package com.gemstone.gbj;
import java.util.*;

/**
 * This interface must be implemented by objects that will forward messages from
 * a GemStone server to a client object
 * 
 * 
 * @version 3.0
 */
public interface GbjClientAdapter {
    public Object dispatchGemStoneMessage(GbjSession session, Object receiver, String selector, Object [] args);
}

