/*=========================================================================
 * Copyright (C) GemTalk Systems 1986-2024.  All Rights Reserved.
 *
 *      GbjFatalException.java  
 *
 *========================================================================
 */

package com.gemstone.gbj;

import com.gemstone.gbjgci.*;


/**
 *  This class represents a GemStone server exception that requires termination of the session.
 *  Some of these exceptions may indicate a problem in the server that may
 *  need attention.  Others deal with miscellaneous problems that occur in distributed
 *  applications, such as network errors.
 * 
 * 
 * @version 3.0
 */

 public class GbjFatalException extends GbjException {

    /**
     * internal method
     */
     //    protected GbjFatalException(GbxInput input) {
     //        super(input);
     //    }

    /**
     * internal method
     */
    protected GbjFatalException() {
        super();
    }

    public GbjFatalException(GbjSession s, GbjGciException e) {
	super(s, e);
    }


 }

