/*
 * GbxAutoLoginDialog.java
 *
 * Created on March 4, 2003, 4:04 PM
 */

package com.gemstone.tools;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 *
 * @author  vincef
 */
public class GbxAutoLoginDialog extends javax.swing.JDialog implements ActionListener{
    
    
    JButton okButton;
    JButton cancelButton;
    String hostPassword_Str;
    String gemstonePassword_Str;
    JPasswordField hostPassword;
    JPasswordField gemstonePassword;
    boolean ok=false;
    
    /** Creates a new instance of GbxAutoLoginDialog */
    public GbxAutoLoginDialog() {
        
        setModal(true);
        setResizable(false);
        
        setTitle("Auto Login");
        Container content=this.getContentPane();
         hostPassword=new JPasswordField();
        hostPassword.setPreferredSize(new Dimension(200,25));
        gemstonePassword=new JPasswordField();
        gemstonePassword.setPreferredSize(new Dimension(200,25));
        okButton=new JButton("OK");
        cancelButton=new JButton("Cancel");
        okButton.addActionListener(this);
        cancelButton.addActionListener(this);
        setSize(300,200);
        GridBagConstraints constraint=new GridBagConstraints();
        constraint.insets=new Insets(2,2,2,2);
        content.setLayout(new GridBagLayout());
        constraint.fill=GridBagConstraints.NONE;
        constraint.weightx=1;
        constraint.anchor=GridBagConstraints.EAST;
        content.add(new JLabel("Gemstone Password:"),constraint);
        constraint.gridwidth=GridBagConstraints.REMAINDER;
         constraint.anchor=GridBagConstraints.WEST;
        content.add(gemstonePassword,constraint);
        constraint.anchor=GridBagConstraints.EAST;
        constraint.gridwidth=GridBagConstraints.RELATIVE;
        content.add(new JLabel("Host Password:"),constraint);
        constraint.anchor=GridBagConstraints.WEST;
        constraint.gridwidth=GridBagConstraints.REMAINDER;
        content.add(hostPassword,constraint);
        constraint.gridwidth=GridBagConstraints.RELATIVE;
        constraint.weightx=0;
        JPanel buttonPanel=new JPanel(new FlowLayout());
        okButton.setPreferredSize(new Dimension(100,25));
        buttonPanel.add(okButton);
        cancelButton.setPreferredSize(new Dimension(100,25));
        constraint.gridwidth=GridBagConstraints.REMAINDER;
        buttonPanel.add(cancelButton);
        constraint.fill=GridBagConstraints.HORIZONTAL;
        content.add(buttonPanel,constraint);
        JRootPane root=getRootPane();
        root.setDefaultButton(okButton);
        pack();
        //Center dialog on screen
        Dimension windowSize=getSize();
        Dimension screen=java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        int x=(screen.width-windowSize.width)/2;
        int y=(screen.height-windowSize.height)/2;
        setLocation(x,y);    
        show();
    }
    
    public void actionPerformed(java.awt.event.ActionEvent actionEvent) {
        if(actionEvent.getSource()==okButton){
            hostPassword_Str=String.valueOf(hostPassword.getPassword());
            gemstonePassword_Str=String.valueOf(gemstonePassword.getPassword());
            ok=true;
        }else if(actionEvent.getSource()==cancelButton){
            ok=false;
        }
        setVisible(false);
    }
    
    public boolean getOK() {
        return ok;
    }
    
     public String getHostPassword() {
        return hostPassword_Str;
    }
     
      public String getGemstonePassword() {
        return gemstonePassword_Str;
    }
    
    
}
