/*
 * GbxImagePanel.java
 *
 * Created on May 1, 2002, 3:11 PM
 */

package com.gemstone.tools;

import java.awt.Image;
import java.awt.Graphics;
import java.awt.Dimension;
/**
 *
 * @author  vincef
 * @version 1.3
 */
public class GbxImagePanel extends javax.swing.JPanel {
    
    Image image;
    byte [] bytes;
    
    /** Creates new GbxImagePanel */
    public GbxImagePanel() {
        
    }
    
    public GbxImagePanel(byte[] imageData) {
        
    }
    
    
    public int imageHeight() {
        int imageHeight;
        
        while ((imageHeight = image().getHeight(null)) == -1) {
            try { Thread.sleep(100); } catch (InterruptedException e) {}
        }
        return imageHeight;
    }
    
    public void image(Image anImage) {
        image = anImage;
        repaint();
    }
    
    public Image image() {
        if (image == null) {
            if (bytes != null) {
                image = getToolkit().createImage(bytes);
                
            }
        }
        return image;
    }
    
    public void bytes(byte [] someBytes) {
        bytes = someBytes;
    }
    
    public byte [] bytes() {
        return bytes;
    }
    
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        Image anImage = image();
        if (anImage != null) {
            setPreferredSize(new Dimension(100/*anImage.getHeight(null)*/,50/*anImage.getWidth(null)*/));
            g.drawImage(anImage, 0, 0, this);
        }
    }
}
