/*=========================================================================
 * Copyright (C) GemTalk Systems 1986-2024.  All Rights Reserved.
 *
 *      GbjInternalException.java  
 *
 *========================================================================
 */

package com.gemstone.gbj;

import com.gemstone.gbjgci.*;


/**
 *  This class represents an unexpected GemStone server exception that could not
 *  be properly handled by GemStone.  Since these are unexpected exceptions, there are
 *  no internal error numbers defined by GbjGemStoneError.
 * 
 * 
 * @version 3.0
 */

 public class GbjInternalException extends GbjException {

     ///**
     //* internal method
     //*/
     //    protected GbjInternalException(GbxInput input) {
     //        super(input);
     //    }

    public GbjInternalException(GbjSession s, GbjGciException e) {
	super(s, e);
    }



 }

