/*=========================================================================
 * Copyright (C) GemTalk Systems 1986-2024.  All Rights Reserved.
 *
 *      GbjNonKernelException.java  
 *
 *========================================================================
 */

package com.gemstone.gbj;

import com.gemstone.gbjgci.*;


/**
 *  This class represents an exception that was signaled with an error category other
 *  than GemStoneError in the server.  This may be an exception signaled by GemConnect
 *  or other layered products, or an exception signaled with a customer-created error category.
 * 
 * 
 * @version 3.0
 */

 public class GbjNonKernelException extends GbjException {

     ///**
     //* internal method
     //*/
     //    protected GbjNonKernelException(GbxInput input) {
     //        super(input);
     //    }

    public GbjNonKernelException(GbjSession s, GbjGciException e) {
	super(s, e);
    }



 }

