/*=========================================================================
 * Copyright (C) GemTalk Systems 1986-2024.  All Rights Reserved.
 *
 *      GbjObservable.java  
 *
 *========================================================================
 */

package com.gemstone.gbj;

/**
 * This interfaces allows objects implementing GbjObserver to monitor an object such
 * as a GbjSession
 * 
 * 
 * @version 3.0
 */


public interface GbjObservable {
    public void addObserver(GbjObserver observer);
    public void removeObserver(GbjObserver observer);
    public void notifyObservers(String notificationMessage, Object argument);
}

