/*=========================================================================
 * Copyright (C) GemTalk Systems 1986-2024.  All Rights Reserved.
 *
 * Name - GbxActivationHolder.java
 *
 *========================================================================
 */

package com.gemstone.tools;

import com.gemstone.gbj.GbjObject;

class GbxActivationHolder extends GbxMethodHolder {
    GbjObject receiver;
    GbjObject argsAndTempNames;
    GbjObject argsAndTemps;
    
    GbxActivationHolder(String aName, GbjObject aProxy) {
        super(aName, aProxy);
    }
    
    GbxActivationHolder(String aName, GbjObject aProxy, String aPrintString, GbjObject aClass, String aClassName, GbjObject aReceiver, String aSelector, String aProtocol, int aStepPoint, int anEndPoint, GbjObject argNames, GbjObject args) {
        super(aSelector, aProxy);
        displayString = aPrintString;
        inClass = aClass;
        className = aClassName;
        receiver = aReceiver;
        protocol = aProtocol;
        textPosition = aStepPoint;
        endPoint = anEndPoint;
        argsAndTempNames = argNames;
        argsAndTemps = args;
    }
    
}
